{
  "name": "share",
  "version": "18.0.0",
  "engines": {
    "node": ">=20.*"
  },
  "scripts": {
    "test": "NODE_ENV=test jest --detectOpenHandles --runInBand --forceExit",
    "dist:srv": "cross-env NODE_ENV=production babel --copy-files  src -d dist",
    "dist:run": "NODE_ENV=production DEBUG=share* node dist/server",
    "start:srv": "cross-env NODE_ENV=development DEBUG=share* nodemon --watch src/server --exec 'npx babel-node src/server'",
    "lint:eslint": "eslint --ignore-pattern '!.eslintrc.js'",
    "migrate": "cross-env babel-node dist/server/migrate/index.js"
  },
  "dependencies": {
    "@babel/core": "^7.23.0",
    "@babel/polyfill": "^7.2.5",
    "axios": "^0.21.2",
    "body-parser": "^1.17.1",
    "cfonts": "^3.2.0",
    "compression": "^1.6.2",
    "cors": "^2.8.5",
    "cross-env": "^5.2.0",
    "date-fns": "^2.17.0",
    "dotenv": "^6.2.0",
    "evtx": "^0.3.3",
    "express": "^4.15.2",
    "express-pino-logger": "^5.0.0",
    "helmet": "^4.6.0",
    "http-status": "^1.3.1",
    "iso8601-duration": "^1.2.0",
    "jeto": "^0.1.0",
    "mongodb": "^6.1.0",
    "njwt": "^0.4.0",
    "nodemailer": "^6.5.0",
    "pino": "^8.7.0",
    "pino-pretty": "^9.1.1",
    "pino-stackdriver": "^3.0.0",
    "ramda": "^0.26.1",
    "url-join": "^4.0.0",
    "uuid": "^9.0.1",
    "yup": "^0.32.11"
  },
  "resolutions": {
    "protobufjs": "^7.2.5"
  },
  "overrides": {
    "pino-stackdriver": {
      "@google-cloud/logging": "^10"
    }
  },
  "devDependencies": {
    "@babel/cli": "^7.0.0",
    "@babel/node": "^7.0.0",
    "@babel/plugin-proposal-decorators": "^7.2.0",
    "@babel/plugin-proposal-export-default-from": "^7.0.0",
    "@babel/plugin-syntax-dynamic-import": "^7.0.0",
    "@babel/plugin-transform-regenerator": "^7.0.0",
    "@babel/preset-env": "^7.22.20",
    "babel-eslint": "^10.0.1",
    "eslint": "^5.10.0",
    "eslint-plugin-import": "^2.14.0",
    "eslint-plugin-prettier": "^3.0.0",
    "husky": "^1.3.0",
    "jest": "^29.7.0",
    "lint-staged": "^8.0.4",
    "nodemon": "^1.18.8",
    "prettier": "^1.15.3",
    "request": "^2.88.0"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "*.{js,css}": [
      "prettier --write",
      "git add",
      "yarn lint:eslint"
    ]
  },
  "jest": {
    "collectCoverageFrom": [
      "src/**/*.{js,jsx,ts,tsx}",
      "!src/server/index.js",
      "!src/lib/**"
    ],
    "setupFiles": [
      "<rootDir>/node_modules/regenerator-runtime/runtime"
    ],
    "testMatch": [
      "<rootDir>/src/**/tests/**/*.test.js"
    ],
    "testEnvironment": "node"
  },
  "babel": {
    "presets": [
      "@babel/preset-env"
    ],
    "plugins": [
      "@babel/plugin-transform-regenerator",
      "@babel/plugin-proposal-export-default-from",
      "@babel/plugin-syntax-dynamic-import",
      [
        "@babel/plugin-proposal-decorators",
        {
          "legacy": true
        }
      ]
    ]
  }
}
